Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	C subroutine library for computing the Discrete Fourier Transform (DFT)
Name:		fftw
Version:	3.1.2
Release:	1
License:	GPL-2
URL:		http://www.fftw.org/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel

%description
C subroutine library for computing the Discrete Fourier Transform (DFT)

%package        devel
Summary:        header files for %{name}
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
header files for %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%prep
%setup -q -n %{name}-%{version}
mkdir -p ../%{name}-single
mkdir -p ../%{name}-double
cd ../%{name}-single
cp -dpR ../%{name}-%{version}/* ./
cd ../%{name}-double
cp -dpR ../%{name}-%{version}/* ./


%build
# change -Os to -O2 according to docs

export CFLAGS="-O2 -march=i686 -pipe -fomit-frame-pointer"
export CXXFLAGS="$CFLAGS"
cd ../%{name}-single
./configure --prefix=%_prefix --mandir=%_mandir --libdir=%_libdir --infodir=%_infodir \
	--enable-sse --enable-shared --enable-threads --enable-float
make
cd ../%{name}-double
./configure --prefix=%_prefix --mandir=%_mandir --libdir=%_libdir --infodir=%_infodir \
        --enable-sse2 --enable-shared --enable-threads
make

%install
rm -rf %{buildroot}
cd ../%{name}-single
make DESTDIR=%{buildroot} install
cd ../%{name}-double
make DESTDIR=%{buildroot} install
cd ../%{name}-%{version}
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_mandir
%_infodir
%exclude %_infodir/dir
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_libdir/pkgconfig/fftw*.pc
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.1.2-1
- Version update
* Fri May 26 2006 Stefan Gottwald <gotti@ccux-linux.de> 3.1.1-1
- Initial Release
